import { KeycloakService } from 'keycloak-angular';
import { Injector } from '@angular/core';
export declare abstract class AuthenticatingController {
    injector: Injector;
    protected authData: KeycloakService;
    constructor(injector: Injector);
    hasRole(role: string): boolean;
    hasAnyRole(roles: string[]): boolean;
    getGrantedRoles(): string[];
    hasRoleInClient(clientId: string): boolean;
    getUserInfo(): Promise<Keycloak.KeycloakProfile>;
    isLoggedIn(): Promise<boolean>;
    redirectToAccountEditUrl(returnUrl?: string): void;
}
